#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,gore=1,dole=0;
    cin>>n;
    int i,mn=1,mx=2*n;
    deque <int> a,b;
    for(i=0;i<n;i++)
    {
        if(i==0)
        {
            a.push_back(mn);
            b.push_back(mx);
            mn++;
            mx--;
        }
        else if(gore==1)
        {
            if(i%2==0)
            {
                gore=0;
                dole=1;
                a.push_back(mx);
                b.push_back(mn);
                mn++;
                mx--;
            }
            else
            {
                a.push_front(mx);
                b.push_front(mn);
                mn++;
                mx--;
            }
        }
        else if(dole==1)
        {
            if(i%2==0)
            {
                gore=1;
                dole=0;
                a.push_back(mn);
                b.push_back(mx);
                mn++;
                mx--;
            }
            else
            {
                a.push_front(mn);
                b.push_front(mx);
                mn++;
                mx--;
            }
        }
    }
    for(i=0;i<a.size();i++)
    {
        cout<<a[i]<<" ";
    }
    cout<<endl;
    for(i=0;i<b.size();i++)
    {
        cout<<b[i]<<" ";
    }
    return 0;
}